<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.predict.mapper.PvUspDayDataMapper">
    
    <resultMap type="PvUspDayData" id="PvUspDayDataResult">
        <result property="pvNo"    column="pv_no"    />
        <result property="modelNo"    column="model_no"    />
        <result property="timeScale"    column="time_scale"    />
        <result property="dataTime"    column="data_time"    />
        <result property="nrmse"    column="nrmse"    />
        <result property="nmae"    column="nmae"    />
        <result property="bias"    column="bias"    />
        <result property="correlationCoeff"    column="correlation_coeff"    />
        <result property="accuracyRate"    column="accuracy_rate"    />
        <result property="dataCount"    column="data_count"    />
        <result property="dataFlag"    column="data_flag"    />
    </resultMap>

    <sql id="selectPvUspDayDataVo">
        select pv_no, model_no, time_scale, data_time, nrmse, nmae, bias, correlation_coeff, accuracy_rate, data_count, data_flag from pv_usp_day_data
    </sql>

    <select id="selectPvUspDayDataList" parameterType="PvUspDayData" resultMap="PvUspDayDataResult">
        <include refid="selectPvUspDayDataVo"/>
        <where>
            <if test="pvNo != null ">and pv_no = #{pvNo}</if>
            <if test="modelNo != null ">and model_no = #{modelNo}</if>
            <if test="timeScale != null ">and time_scale = #{timeScale}</if>
            <if test="nrmse != null "> and nrmse = #{nrmse}</if>
            <if test="nmae != null "> and nmae = #{nmae}</if>
            <if test="bias != null "> and bias = #{bias}</if>
            <if test="correlationCoeff != null "> and correlation_coeff = #{correlationCoeff}</if>
            <if test="accuracyRate != null "> and accuracy_rate = #{accuracyRate}</if>
            <if test="dataCount != null "> and data_count = #{dataCount}</if>
            <if test="dataFlag != null "> and data_flag = #{dataFlag}</if>
            <if test="params.beginDataTime != null and params.beginDataTime != '' and params.endDataTime != null and params.endDataTime != ''">
                and data_time between to_date(#{params.beginDataTime},'yyyy-MM-dd HH24:MI:SS') and
                to_date(#{params.endDataTime},'yyyy-MM-dd HH24:MI:SS')
            </if>
            <if test="dataTime != null ">and data_time = #{dataTime}</if>
        </where>
    </select>
    
    <select id="selectPvUspDayDataById" parameterType="Long" resultMap="PvUspDayDataResult">
        <include refid="selectPvUspDayDataVo"/>
        where pv_no = #{pvNo}
    </select>
        
</mapper>